/*
 * Sequoia: Database clustering technology.
 * Copyright (C) 2005-2006 Continuent, Inc.
 * Contact: sequoia@continuent.org
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Initial developer(s): Gilles Rayrat
 * Contributor(s): 
 */

#include "Field.hpp"

#include "DriverSocket.hpp"

using std::wstring;

using namespace CarobNS;

Field::Field(const DriverSocket& sockPtr) throw (SocketIOException,
    UnexpectedException)
{
  sockPtr>>table_name_not_null;
  if (table_name_not_null)
  {
    sockPtr>>table_name;
  }
  sockPtr>>field_name;
  sockPtr>>field_label;
  sockPtr>>column_display_size;
  sockPtr>>sql_type;
  sockPtr>>type_name;
  sockPtr>>column_class_name;
  sockPtr>>is_auto_increment;
  sockPtr>>is_case_sensitive;
  sockPtr>>is_currency;
  sockPtr>>is_nullable;
  sockPtr>>is_read_only;
  sockPtr>>is_writable;
  sockPtr>>is_definitely_writable;
  sockPtr>>is_searchable;
  sockPtr>>is_signed;
  sockPtr>>precision;
  sockPtr>>scale;
  sockPtr>>encoding;
}
