/*
 * Sequoia: Database clustering technology.
 * Copyright (C) 2005-2006 Continuent, Inc.
 * Contact: sequoia@continuent.org
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Initial developer(s): Gilles Rayrat
 * Contributor(s): Zsolt Simon
 */

#include "Request.hpp"

#include "DriverSocket.hpp"

using namespace CarobNS;

Request::~Request()
{
}

void Request::sendToStream(const DriverSocket& out) const
    throw (SocketIOException, UnexpectedException)
{
  out<<sqlQueryOrTemplate;
  out<<escape_processing;
  out<<timeout_in_seconds;
  out<<is_auto_commit;
  if (!preparedStatementParameters.empty())
  {
    out<<true;
    out<<preparedStatementParameters;
  }
  else
    out<<false;

}
