/*
 * Sequoia: Database clustering technology.
 * Copyright (C) 2005-2006 Continuent, Inc.
 * Contact: sequoia@continuent.org
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Initial developer(s): Gilles Rayrat
 * Contributor(s): 
 */

#include "RequestWithResultSetParameters.hpp"

#include "DriverSocket.hpp"

using std::wstring;

using namespace CarobNS;

RequestWithResultSetParameters::RequestWithResultSetParameters(wstring sql) :
Request(sql),
max_rows(0),
fetch_size(0),
cursor_name_is_null(true)
{ }

RequestWithResultSetParameters::~RequestWithResultSetParameters()
{
}
void RequestWithResultSetParameters::sendToStream(const DriverSocket& out) const
    throw (SocketIOException, UnexpectedException)
{
    Request::sendToStream(out);

    out<<max_rows;
    out<<fetch_size;

    if (!isCursorNameNull()) // do we have a cursor name ?
    {
      out<<true;
      out<<cursor_name;
    }
    else
      out<<false;
}
